Qwt User's Guide: QwtDialSimpleNeedle Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtDialSimpleNeedle Class Reference

Inheritance diagram for QwtDialSimpleNeedle:

[legend]
Collaboration diagram for QwtDialSimpleNeedle:

[legend]
List of all members.

## Detailed Description

A needle for dial widgets.

The following colors are used:

- QColorGroup::Mid
  Pointer
- QColorGroup::base
  Knob

See also:
  QwtDial, QwtCompass

Definition at line 73 of file qwt_dial_needle.h.

## Public Types
enum | Style { Arrow, Ray }
## Public Member Functions
| QwtDialSimpleNeedle (Style, bool hasKnob=true, const QColor &mid=Qt::gray, const QColor &base=Qt::darkGray)
virtual void | draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const
void | setWidth (int width)
int | width () const
## Static Public Member Functions
static void | drawArrowNeedle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, int width, double direction, bool hasKnob)
static void | drawRayNeedle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, int width, double direction, bool hasKnob)

## Member Enumeration Documentation

enum QwtDialSimpleNeedle::Style

| Style of the needle. Definition at line 77 of file qwt_dial_needle.h.

## Constructor & Destructor Documentation

QwtDialSimpleNeedle::QwtDialSimpleNeedle | ( | Style | style,
|  | bool | hasKnob = `true`,
|  | const QColor & | mid = `Qt::gray`,
|  | const QColor & | base = `Qt::darkGray`
| ) |

| Constructor Definition at line 91 of file qwt_dial_needle.cpp. References QwtDialNeedle::palette().

## Member Function Documentation

void QwtDialSimpleNeedle::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active`
| ) | const`[virtual]`

  | Draw the needle Parameters:
  | painter | Painter
  | center | Center of the dial, start position for the needle
  | length | Length of the needle
  | direction | Direction of the needle, in degrees counter clockwise
  | colorGroup | Color group, used for painting
Implements QwtDialNeedle. Definition at line 132 of file qwt_dial_needle.cpp. References drawArrowNeedle(), drawRayNeedle(), and QwtDialNeedle::palette().

void QwtDialSimpleNeedle::drawArrowNeedle | ( | QPainter * | painter,
|  | const QPalette & | palette,
|  | QPalette::ColorGroup | colorGroup,
|  | const QPoint & | center,
|  | int | length,
|  | int | width,
|  | double | direction,
|  | bool | hasKnob
| ) | `[static]`

| Draw a needle looking like an arrow Definition at line 202 of file qwt_dial_needle.cpp. References QwtDialNeedle::drawKnob(). Referenced by draw().

void QwtDialSimpleNeedle::drawRayNeedle | ( | QPainter * | painter,
|  | const QPalette & | palette,
|  | QPalette::ColorGroup | colorGroup,
|  | const QPoint & | center,
|  | int | length,
|  | int | width,
|  | double | direction,
|  | bool | hasKnob
| ) | `[static]`

| Draw a needle looking like a ray Definition at line 150 of file qwt_dial_needle.cpp. References QwtDialNeedle::drawKnob(). Referenced by draw().

void QwtDialSimpleNeedle::setWidth | ( | int | width | ) |

| Set the width of the needle. Definition at line 110 of file qwt_dial_needle.cpp.

int QwtDialSimpleNeedle::width | ( |  | ) | const

| Returns: the width of the needle Definition at line 118 of file qwt_dial_needle.cpp.